Package com.sas.lsaf.execution.session

## Enum Session.SessionType

- java.lang.Object
- - java.lang.Enum<Session.SessionType>
  - - com.sas.lsaf.execution.session.Session.SessionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Session.SessionType>`
  Enclosing class:
    Session

      public static enum Session.SessionType
      extends java.lang.Enum<Session.SessionType>

  The enumeration that describes the source that started a session.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INTERACTIVE` | Initiated by launching the session editor in the application.
    `PUBLISHED_JOB` | Initiated by running a job in the repository.
    `SYSTEM` | Initiated by the system internally to perform a function.
    `TEST_JOB` | Initiated by testing a job in the workspace.
    `UNKNOWN` | Unknown.
    `WORKSPACE_JOB` | Initiated by running a job in the workspace.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Session.SessionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Session.SessionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERACTIVE

          public static final Session.SessionType INTERACTIVE

      Initiated by launching the session editor in the application.

    - #### TEST_JOB

          public static final Session.SessionType TEST_JOB

      Initiated by testing a job in the workspace.

    - #### WORKSPACE_JOB

          public static final Session.SessionType WORKSPACE_JOB

      Initiated by running a job in the workspace.

    - #### PUBLISHED_JOB

          public static final Session.SessionType PUBLISHED_JOB

      Initiated by running a job in the repository.

    - #### SYSTEM

          public static final Session.SessionType SYSTEM

      Initiated by the system internally to perform a function.

    - #### UNKNOWN

          public static final Session.SessionType UNKNOWN

      Unknown.

  - ### Method Detail

    - #### values

          public static Session.SessionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Session.SessionType c : Session.SessionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Session.SessionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null